Lists discounts.
HTTP request
GET https://foodorderingaiagent.googleapis.com/v1beta/{parent=projects/*/locations/*/brands/*/stores/*}/discounts
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent store, which owns this collection of discounts. Format: projects/{project}/locations/{location}/brands/{brand}/stores/{store} |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of discounts to return. The service may return fewer than this value. |
pageToken |
Optional. A page token, received from a previous |
filter |
Optional. Filter expression based on AIP-160. |
Request body
The request body must be empty.
Response body
Response message for MenuService.ListDiscounts.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"discounts": [
{
object ( |
| Fields | |
|---|---|
discounts[] |
The discounts from the specified collection. |
nextPageToken |
A token, which can be sent as |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.